Package org.apache.tools.ant.util.regexp

# Class JakartaRegexpRegexp

java.lang.Object
org.apache.tools.ant.util.regexp.JakartaRegexpMatcher
org.apache.tools.ant.util.regexp.JakartaRegexpRegexp

All Implemented Interfaces:
  `Regexp`, `RegexpMatcher`

public class JakartaRegexpRegexp extends JakartaRegexpMatcher implements Regexp
Regular expression implementation using the Jakarta Regexp package

- ## Field Summary

  ### Fields inherited from interface org.apache.tools.ant.util.regexp.Regexp

  `REPLACE_ALL, REPLACE_FIRST`

  ### Fields inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher

  `MATCH_CASE_INSENSITIVE, MATCH_DEFAULT, MATCH_MULTILINE, MATCH_SINGLELINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JakartaRegexpRegexp()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getSubsOptions(int options)`
  Convert ant regexp substitution option to apache regex options.
  `String`
  `substitute(String input, String argument, int options)`
  Perform a substitution on the regular expression.

  ### Methods inherited from class org.apache.tools.ant.util.regexp.JakartaRegexpMatcher

  `getCompiledPattern, getCompilerOptions, getGroups, getGroups, getPattern, matches, matches, setPattern`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tools.ant.util.regexp.RegexpMatcher

  `getGroups, getGroups, getPattern, matches, matches, setPattern`

- ## Constructor Details

  - ### JakartaRegexpRegexp

    public JakartaRegexpRegexp()

- ## Method Details

  - ### getSubsOptions

    protected int getSubsOptions(int options)
    Convert ant regexp substitution option to apache regex options.
    Parameters:
      `options` - the ant regexp options
    Returns:
      the apache regex substitution options

  - ### substitute

    public String substitute(String input, String argument, int options) throws BuildException
    Perform a substitution on the regular expression.
    Specified by:
      `substitute` in interface `Regexp`
    Parameters:
      `input` - The string to substitute on
      `argument` - The string which defines the substitution
      `options` - The list of options for the match and replace.
    Returns:
      the result of the operation
    Throws:
      `BuildException` - on error